#
# spec file for package stringtree-json (Version 2.0.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_package stringtree
Summary:        An json string library

Name:           stringtree-json
Version:        2.0.9
Release:        1.4
License:        LGPL v2.1 or later
Group:          Development/Libraries/Java
Url:            http://stringtree.org/stringtree-json.html
Source0:        %{base_package}-%{version}-src.zip
Patch0:         stringtree-2.0.9-build-xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  ant java-devel unzip rhino
BuildRequires:  unzip
BuildArch:      noarch

%description 
a simple json reader/writer library for java



%prep
%setup -n %{base_package}
%patch0 -p1

%build
ant -f src/build.xml dist-json

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
